This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 102882 - Folder.java sets/gets a static 'wasNew' variable in beforeSave/afterSave methods
Folder.java sets/gets a static 'wasNew' variable in beforeSave/afterSave methods
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-08-22 05:54 EDT by Daniel Berrange
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-08-22 05:54:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Folder.java is setting & getting a static 'm_wasNew' variable in its
beforeSave/afterSave methods. This should obviously /not/  be a static variable
unless we can guarentee that there are no concurrent saves of Folder objects ;-)


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Get two threads to save a folder at the same time

Actual Results:  One thread does the wrong thing in afterSave.

Expected Results:  Both threads execute afterSave correctly.

Additional info:
Comment 1 Daniel Berrange 2003-08-22 06:00:43 EDT
cf featurezilla 102883
Comment 2 Richard Li 2003-12-23 15:38:39 EST
This was fixed in the land of the test-search branch (@35351).
Comment 3 Daniel Berrange 2004-01-05 05:02:25 EST
Opps, a little confusion about releases. When I opened this ticket,
'nightly' was still referring to Troika (6.0). That branch is still
broken:

dan@camden$ grep m_wasNew cms/6.0/src/com/arsdigita/cms/Folder.java 
    private static boolean m_wasNew;
        m_wasNew = isNew();
        if (m_wasNew) {
dan@camden$ 
Comment 4 Richard Li 2004-01-05 09:18:16 EST
not rc0
Comment 5 Daniel Berrange 2006-09-02 13:42:19 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.